Summary:   GNU vector and raster graphics utilities and libraries
Name:      plotutils
Version:   2.6
Release:   4%{?dist}
License:   GPLv2+ and GPLv3+
URL:       http://www.gnu.org/software/plotutils/
Source0:   ftp://ftp.gnu.org/gnu/plotutils/plotutils-%{version}.tar.gz

Patch3000:  plotutils-2.6-png15.patch
Patch3001:  plotutils-aarch64.patch
Patch3002:  plotutils-werror-format-security.patch

BuildRequires: gcc-c++ make flex libpng-devel xorg-x11-proto-devel libX11-devel libXaw-devel
BuildRequires: libXt-devel libXext-devel byacc

%description
The GNU plotutils package contains software for both programmers and technical users. Its
centerpiece is libplot, a powerful C/C++ function library for exporting 2-D vector graphics in many
file formats, both vector and raster. It can also do vector graphics animations. Besides libplot,
the package contains command-line programs for plotting scientific data. Many of them use libplot to
export graphics

%package devel
Summary:     Headers for developing programs that will use %{name}
Requires:    %{name} = %{version}-%{release}

%description devel
This package contains the header files needed for developing %{name} applications

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --disable-static \
    --enable-libplotter \
    --enable-libxmi \
    --enable-ps-fonts-in-pcl \
    %{nil}

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
rm -rf docs-to-include
%make_install
mkdir docs-to-include
mv %{buildroot}%{_datadir}/ode docs-to-include
mv %{buildroot}%{_datadir}/pic2plot docs-to-include
mv %{buildroot}%{_datadir}/libplot docs-to-include
mv %{buildroot}%{_datadir}/tek2plot docs-to-include
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -f %{buildroot}%{_infodir}/dir

%files
%license COPYING
%doc AUTHORS COMPAT NEWS THANKS README PROBLEMS KNOWN_BUGS docs-to-include/*
%{_bindir}/*
%{_libdir}/*.so.*
%{_infodir}/*.info*
%{_mandir}/man1/*

%files devel
%doc TODO
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 8 2023 Shuo Wang <abushwang@tencent.com> - 2.6-1
- initial build
